> For the complete documentation index, see [llms.txt](https://api-docs.everreal.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.everreal.co/endpoints/contact-activites.md).

# Contact Activites

GraphQL interface for messages.

```graphql
type Query {
  contactActivity(input: ActivityFilterPaging): [Activity]
}

enum COMPANY_CONTACT_ACTIVITY_CATEGORY {
  EMAIL
  NOTE
  CALL
  SMS
  SEARCH_PROFILE_UPDATE
  DATA_ROOM_VIEWED
  USER_BLACKLISTED
  USER_UNBLACKLISTED
}

type Activity {
  id: String
  companyId: String
  listingId: String
  candidateId: String
  companyContactId: String
  messageId: String
  tenantId: String
  searchProfileId: String
  createdByUserId: String
  category: COMPANY_CONTACT_ACTIVITY_CATEGORY
  type: String
  text: String
}

input ActivityFilterPaging {
  filter: ActivityFilter
  paging: GraphPaging
  sort: GraphSorting
}

input ActivityFilter {
  contactId: String
  companyId: String
}

```

Usage of Query:

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query contactActivity($companyId: String, $contactId: String) {
    contactActivity(
      input: { filter: { companyId: $companyId, contactId: $contactId } }
    ) {
      id
      companyId
      listingId
      candidateId
      messageId
      type
      text
      category
    }
  }
  
```

**Variables:**

Using either of these two, should give an error if no variables are not given.

```
{
    "contactId": "6aec3680-a1de-4e5b-b3d9-67cb4b4727f6",
    "companyId": "341de250-2fd6-11e7-9e51-ff0020488d44"
}
```

{% endtab %}

{% tab title="CURL" %}

```shell
curl --location --request POST 'https://acme-qa.everreal-dev.co/api/reporting/graphql' \
--header 'Authorization: Bearer ...' \
--header 'Content-Type: application/json' \
--data-raw '{"query":"query contactActivity($companyId: String, $contactId: String, $externalContactId: String) {\n    contactActivity(\n      input: { filter: { companyId: $companyId, contactId: $contactId, externalContactId: $externalContactId } }\n    ) {\n      id\n      companyId\n      listingId\n      candidateId\n      messageId\n      type\n      text\n      category\n    }\n  }","variables":{"contactId":"6aec3680-a1de-4e5b-b3d9-67cb4b4727f6","companyId":"341de250-2fd6-11e7-9e51-ff0020488d44"}}'
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer ....");
myHeaders.append("Content-Type", "application/json");

var graphql = JSON.stringify({
  query: "query contactActivity($companyId: String, $contactId: String, $externalContactId: String) {\n    contactActivity(\n      input: { filter: { companyId: $companyId, contactId: $contactId, externalContactId: $externalContactId } }\n    ) {\n      id\n      companyId\n      listingId\n      candidateId\n      messageId\n      type\n      text\n      category\n    }\n  }",
  variables: {"contactId":"6aec3680-a1de-4e5b-b3d9-67cb4b4727f6","companyId":"341de250-2fd6-11e7-9e51-ff0020488d44"}
})
var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: graphql,
  redirect: 'follow'
};

fetch("https://acme-qa.everreal-dev.co/api/reporting/graphql", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.everreal.co/endpoints/contact-activites.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
